Update Firewall Configuration
PATCH
https://api.vercel.com/v1/security/firewall/configProcess updates to modify the existing firewall config for a project
https://api.vercel.com/v1/security/firewall/config
const response = await fetch('https://api.vercel.com/v1/security/firewall/config?projectId=string&teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "action": "firewallEnabled", "id": "value", "value": { "name": "Example Name", "description": "string", "active": "true", "conditionGroup": [ { "conditions": [ { "type": "host", "op": "re", "neg": "true", "key": "string", "value": "string" } ] } ], "action": { "mitigate": { "action": "deny" } }, "valid": "true", "validationErrors": [] } }),});
const data = await response.json();console.log(data);Response
"value"AuthorizationbearerToken
Default authentication mechanism